/* eslint-disable */
import React from 'react';
import { storiesOf, action } from '@kadira/storybook';
import {
    ModalView,
    ModalBody,
    ModalHeader,
    PageTabs,
    Progress,
    TabLink,
} from '@jenkins-cd/design-language';
import { RunDetailsHeader } from '../RunDetailsHeader';

import { RunRecord } from '../records';

const changeSet = [{
    _class: 'io.jenkins.blueocean.service.embedded.rest.ChangeSetResource',
    _links: {
        self: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/changeset/4e161a84e276e0348ee3169eed00a027b0d38527/',
        },
    },
    affectedPaths: ['test'],
    author: {
        _class: 'io.jenkins.blueocean.service.embedded.rest.UserImpl',
        _links: { self: { _class: 'io.jenkins.blueocean.rest.hal.Link', href: '/blue/rest/users/thorsten/' } },
        email: null,
        fullName: 'sophia',
        id: 'thorleoso',
    },
    commitId: '4e161a84e276e0348ee3169eed00a027b0d38527',
    msg: '[master] eeeeewweetesting',
    timestamp: '2016-08-23T13:02:45.000+0200',
    url: 'https://github.com/scherler/testCommitBlueOcean/commit/41161a84e276e0348ee3169eed00a027b0d38527',
}, {
    _class: 'io.jenkins.blueocean.service.embedded.rest.ChangeSetResource',
    _links: {
        self: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/changeset/4e161a84e276e0348ee3169eed00a027b0d38527/',
        },
    },
    affectedPaths: ['test'],
    author: {
        _class: 'io.jenkins.blueocean.service.embedded.rest.UserImpl',
        _links: { self: { _class: 'io.jenkins.blueocean.rest.hal.Link', href: '/blue/rest/users/thorsten/' } },
        email: null,
        fullName: 'hannah ',
        id: 'thorhannah',
    },
    commitId: '4e161a84e276e0348ee3169eed00a027b0d38527',
    msg: '[master] eeetesting',
    timestamp: '2016-08-23T13:02:45.000+0200',
    url: 'https://github.com/scherler/testCommitBlueOcean/commit/41161a84e276e0348ee3169eed00a027b0d38527',
}, {
    _class: 'io.jenkins.blueocean.service.embedded.rest.ChangeSetResource',
    _links: {
        self: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/changeset/4e161a84e276e0348ee3169eed00a027b0d38527/',
        },
    },
    affectedPaths: ['test'],
    author: {
        _class: 'io.jenkins.blueocean.service.embedded.rest.UserImpl',
        _links: { self: { _class: 'io.jenkins.blueocean.rest.hal.Link', href: '/blue/rest/users/thorsten/' } },
        email: null,
        fullName: 'sophia Thor leo',
        id: 'thorleoso',
    },
    commitId: '4e161a84e276e0348ee3169eed00a027b0d38527',
    msg: '[master] eeeeewweetesting',
    timestamp: '2016-08-23T13:02:45.000+0200',
    url: 'https://github.com/scherler/testCommitBlueOcean/commit/41161a84e276e0348ee3169eed00a027b0d38527',
}, {
    _class: 'io.jenkins.blueocean.service.embedded.rest.ChangeSetResource',
    _links: {
        self: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/changeset/4e161a84e276e0348ee3169eed00a027b0d38527/',
        },
    },
    affectedPaths: ['test'],
    author: {
        _class: 'io.jenkins.blueocean.service.embedded.rest.UserImpl',
        _links: { self: { _class: 'io.jenkins.blueocean.rest.hal.Link', href: '/blue/rest/users/thorsten/' } },
        email: null,
        fullName: 'hannah Thor Ler',
        id: 'thorhannah',
    },
    commitId: '4e161a84e276e0348ee3169eed00a027b0d38527',
    msg: '[master] eeetesting',
    timestamp: '2016-08-23T13:02:45.000+0200',
    url: 'https://github.com/scherler/testCommitBlueOcean/commit/41161a84e276e0348ee3169eed00a027b0d38527',
}, {
    _class: 'io.jenkins.blueocean.service.embedded.rest.ChangeSetResource',
    _links: {
        self: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/changeset/4e161a84e276e0348ee3169eed00a027b0d38527/',
        },
    },
    affectedPaths: ['test'],
    author: {
        _class: 'io.jenkins.blueocean.service.embedded.rest.UserImpl',
        _links: { self: { _class: 'io.jenkins.blueocean.rest.hal.Link', href: '/blue/rest/users/thorsten/' } },
        email: null,
        fullName: 'Thor leo',
        id: 'thorleo',
    },
    commitId: '4e161a84e276e0348ee3169eed00a027b0d38527',
    msg: '[master] eeeeewweetesting',
    timestamp: '2016-08-23T13:02:45.000+0200',
    url: 'https://github.com/scherler/testCommitBlueOcean/commit/41161a84e276e0348ee3169eed00a027b0d38527',
}, {
    _class: 'io.jenkins.blueocean.service.embedded.rest.ChangeSetResource',
    _links: {
        self: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/changeset/4e161a84e276e0348ee3169eed00a027b0d38527/',
        },
    },
    affectedPaths: ['test'],
    author: {
        _class: 'io.jenkins.blueocean.service.embedded.rest.UserImpl',
        _links: { self: { _class: 'io.jenkins.blueocean.rest.hal.Link', href: '/blue/rest/users/thorsten/' } },
        email: null,
        fullName: 'Thor Ler',
        id: 'thor',
    },
    commitId: '4e161a84e276e0348ee3169eed00a027b0d38527',
    msg: '[master] eeetesting',
    timestamp: '2016-08-23T13:02:45.000+0200',
    url: 'https://github.com/scherler/testCommitBlueOcean/commit/41161a84e276e0348ee3169eed00a027b0d38527',
}, {
    _class: 'io.jenkins.blueocean.service.embedded.rest.ChangeSetResource',
    _links: {
        self: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/changeset/1d9cbb3efe30924abcbfc88292c906f5bab5f0ca/',
        },
    },
    affectedPaths: ['test'],
    author: {
        _class: 'io.jenkins.blueocean.service.embedded.rest.UserImpl',
        _links: { self: { _class: 'io.jenkins.blueocean.rest.hal.Link', href: '/blue/rest/users/thorsten/' } },
        email: null,
        fullName: 'Thorsten Scherler',
        id: 'thorsten',
    },
    commitId: '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
    msg: '[master] Remove test',
    timestamp: '2016-08-23T13:03:19.000+0200',
    url: 'https://github.com/scherler/testCommitBlueOcean/commit/1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
}];

const currentRunRaw = {
    _class: 'io.jenkins.blueocean.rest.impl.pipeline.PipelineRunImpl',
    _links: {
        nodes: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/nodes/',
        }
        ,
        log: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/log/',
        }
        ,
        self: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/',
        }
        ,
        steps: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/steps/',
        }
        ,
        actions: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/actions/',
        },
    }
    ,
    actions: [{
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/cause/',
            },
        },
        _class: 'hudson.model.CauseAction',
        causes: [{
            _class: 'hudson.model.Cause$UserIdCause',
            shortDescription: 'Started by user anonymous',
            userId: null,
            userName: 'anonymous',
        }],
        urlName: 'cause',
    }, {
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/timings/',
            },
        },
        _class: 'jenkins.metrics.impl.TimeInQueueAction',
        queuingDurationMillis: 1,
        totalDurationMillis: 1326,
        urlName: 'timings',
    }, {
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/git/',
            },
        },
        _class: 'hudson.plugins.git.util.BuildData',
        buildsByBranchName: {
            'refs/remotes/origin/master': {
                _class: 'hudson.plugins.git.util.Build',
                buildNumber: 5,
                buildResult: null,
                marked: {
                    'SHA1': '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
                    branch: [{
                        'SHA1': '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
                        name: 'refs/remotes/origin/master',
                    }],
                },
                revision: {
                    'SHA1': '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
                    branch: [{
                        'SHA1': '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
                        name: 'refs/remotes/origin/master',
                    }],
                },
            },
        },
        lastBuiltRevision: {
            'SHA1': '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
            branch: [{ 'SHA1': '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca', name: 'refs/remotes/origin/master' }],
        },
        remoteUrls: ['https://github.com/scherler/testCommitBlueOcean.git'],
        scmName: '',
        urlName: 'git',
    }, {
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/tagBuild/',
            },
        },
        _class: 'hudson.plugins.git.GitTagAction',
        tags: [],
        urlName: 'tagBuild',
    }, {
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: { self: null },
        _class: 'org.jenkinsci.plugins.workflow.steps.scm.MultiSCMRevisionState',
        urlName: null,
    }, {
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/wfapi/',
            },
        },
        _class: 'com.cloudbees.workflow.rest.endpoints.RunAPI',
        urlName: 'wfapi',
    }, {
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/timestamps/',
            },
        },
        _class: 'hudson.plugins.timestamper.action.TimestampsAction',
        urlName: 'timestamps',
    }, {
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/replay/',
            },
        },
        _class: 'org.jenkinsci.plugins.workflow.cps.replay.ReplayAction',
        urlName: 'replay',
    }, {
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/flowGraph/',
            },
        },
        _class: 'org.jenkinsci.plugins.workflow.job.views.FlowGraphAction',
        nodes: [{ _class: 'org.jenkinsci.plugins.workflow.graph.FlowStartNode' }, { _class: 'org.jenkinsci.plugins.workflow.cps.nodes.StepStartNode' }, { _class: 'org.jenkinsci.plugins.workflow.cps.nodes.StepStartNode' }, { _class: 'org.jenkinsci.plugins.workflow.cps.nodes.StepAtomNode' }, { _class: 'org.jenkinsci.plugins.workflow.cps.nodes.StepAtomNode' }, { _class: 'org.jenkinsci.plugins.workflow.cps.nodes.StepEndNode' }, { _class: 'org.jenkinsci.plugins.workflow.cps.nodes.StepEndNode' }, { _class: 'org.jenkinsci.plugins.workflow.graph.FlowEndNode' }],
        urlName: 'flowGraph',
    }, {
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/flowGraphTable/',
            },
        },
        _class: 'org.jenkinsci.plugins.workflow.job.views.FlowGraphTableAction',
        urlName: 'flowGraphTable',
    }, {
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/graphViz/',
            },
        },
        _class: 'org.jenkinsci.plugins.workflow.job.views.GraphVizAction',
        urlName: 'graphViz',
    }],
    artifacts: [],
    durationInMillis: 1325,
    enQueueTime: '2016-08-23T13:03:26.147+0200',
    endTime: '2016-08-23T13:03:27.473+0200',
    estimatedDurationInMillis: 2315,
    id: '5',
    organization: 'jenkins',
    pipeline: 'commits',
    result: 'SUCCESS',
    runSummary: 'stable',
    startTime: '2016-08-23T13:03:26.148+0200',
    state: 'FINISHED',
    type: 'WorkflowRun',
    commitId: '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
};
const pipeline = {
    _class: 'io.jenkins.blueocean.rest.impl.pipeline.PipelineImpl',
    _links: {
        activities: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/activities/',
        },
        self: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/',
        },
        runs: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/',
        },
        actions: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/actions/',
        },
        queue: {
            _class: 'io.jenkins.blueocean.rest.hal.Link',
            href: '/blue/rest/organizations/jenkins/pipelines/commits/queue/',
        },
    },
    actions: [{
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/move/',
            },
        },
        _class: 'com.cloudbees.hudson.plugins.folder.relocate.RelocationAction',
        urlName: 'move',
    }, {
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/wfapi/',
            },
        },
        _class: 'com.cloudbees.workflow.rest.endpoints.JobAPI',
        urlName: 'wfapi',
    }, {
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/workflow-stage/',
            },
        },
        _class: 'com.cloudbees.workflow.ui.view.WorkflowStageViewAction',
        urlName: 'workflow-stage',
    }, {
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/pipeline-syntax/',
            },
        },
        _class: 'org.jenkinsci.plugins.workflow.cps.Snippetizer$LocalAction',
        urlName: 'pipeline-syntax',
    }, {
        _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
        _links: {
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/credentials/',
            },
        },
        _class: 'com.cloudbees.plugins.credentials.ViewCredentialsAction',
        stores: {},
        urlName: 'credentials',
    }],
    displayName: 'commits',
    estimatedDurationInMillis: 2315,
    fullName: 'commits',
    lastSuccessfulRun: 'http://localhost:8080/jenkins/blue/rest/organizations/jenkins/pipelines/commits/runs/5/',
    latestRun: {
        _class: 'io.jenkins.blueocean.rest.impl.pipeline.PipelineRunImpl',
        _links: {
            nodes: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/nodes/',
            },
            log: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/log/',
            },
            self: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/',
            },
            steps: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/steps/',
            },
            actions: {
                _class: 'io.jenkins.blueocean.rest.hal.Link',
                href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/actions/',
            },
        },
        actions: [{
            _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
            _links: {
                self: {
                    _class: 'io.jenkins.blueocean.rest.hal.Link',
                    href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/cause/',
                },
            },
            _class: 'hudson.model.CauseAction',
            causes: [{
                _class: 'hudson.model.Cause$UserIdCause',
                shortDescription: 'Started by user anonymous',
                userId: null,
                userName: 'anonymous',
            }],
            urlName: 'cause',
        }, {
            _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
            _links: {
                self: {
                    _class: 'io.jenkins.blueocean.rest.hal.Link',
                    href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/timings/',
                },
            },
            _class: 'jenkins.metrics.impl.TimeInQueueAction',
            queuingDurationMillis: 1,
            totalDurationMillis: 1326,
            urlName: 'timings',
        }, {
            _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
            _links: {
                self: {
                    _class: 'io.jenkins.blueocean.rest.hal.Link',
                    href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/git/',
                },
            },
            _class: 'hudson.plugins.git.util.BuildData',
            buildsByBranchName: {
                'refs/remotes/origin/master': {
                    _class: 'hudson.plugins.git.util.Build',
                    buildNumber: 5,
                    buildResult: null,
                    marked: {
                        'SHA1': '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
                        branch: [{
                            'SHA1': '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
                            name: 'refs/remotes/origin/master',
                        }],
                    },
                    revision: {
                        'SHA1': '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
                        branch: [{
                            'SHA1': '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
                            name: 'refs/remotes/origin/master',
                        }],
                    },
                },
            },
            lastBuiltRevision: {
                'SHA1': '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
                branch: [{ 'SHA1': '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca', name: 'refs/remotes/origin/master' }],
            },
            remoteUrls: ['https://github.com/scherler/testCommitBlueOcean.git'],
            scmName: '',
            urlName: 'git',
        }, {
            _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
            _links: {
                self: {
                    _class: 'io.jenkins.blueocean.rest.hal.Link',
                    href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/tagBuild/',
                },
            },
            _class: 'hudson.plugins.git.GitTagAction',
            tags: [],
            urlName: 'tagBuild',
        }, {
            _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
            _links: { self: null },
            _class: 'org.jenkinsci.plugins.workflow.steps.scm.MultiSCMRevisionState',
            urlName: null,
        }, {
            _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
            _links: {
                self: {
                    _class: 'io.jenkins.blueocean.rest.hal.Link',
                    href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/wfapi/',
                },
            },
            _class: 'com.cloudbees.workflow.rest.endpoints.RunAPI',
            urlName: 'wfapi',
        }, {
            _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
            _links: {
                self: {
                    _class: 'io.jenkins.blueocean.rest.hal.Link',
                    href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/timestamps/',
                },
            },
            _class: 'hudson.plugins.timestamper.action.TimestampsAction',
            urlName: 'timestamps',
        }, {
            _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
            _links: {
                self: {
                    _class: 'io.jenkins.blueocean.rest.hal.Link',
                    href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/replay/',
                },
            },
            _class: 'org.jenkinsci.plugins.workflow.cps.replay.ReplayAction',
            urlName: 'replay',
        }, {
            _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
            _links: {
                self: {
                    _class: 'io.jenkins.blueocean.rest.hal.Link',
                    href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/flowGraph/',
                },
            },
            _class: 'org.jenkinsci.plugins.workflow.job.views.FlowGraphAction',
            nodes: [{ _class: 'org.jenkinsci.plugins.workflow.graph.FlowStartNode' }, { _class: 'org.jenkinsci.plugins.workflow.cps.nodes.StepStartNode' }, { _class: 'org.jenkinsci.plugins.workflow.cps.nodes.StepStartNode' }, { _class: 'org.jenkinsci.plugins.workflow.cps.nodes.StepAtomNode' }, { _class: 'org.jenkinsci.plugins.workflow.cps.nodes.StepAtomNode' }, { _class: 'org.jenkinsci.plugins.workflow.cps.nodes.StepEndNode' }, { _class: 'org.jenkinsci.plugins.workflow.cps.nodes.StepEndNode' }, { _class: 'org.jenkinsci.plugins.workflow.graph.FlowEndNode' }],
            urlName: 'flowGraph',
        }, {
            _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
            _links: {
                self: {
                    _class: 'io.jenkins.blueocean.rest.hal.Link',
                    href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/flowGraphTable/',
                },
            },
            _class: 'org.jenkinsci.plugins.workflow.job.views.FlowGraphTableAction',
            urlName: 'flowGraphTable',
        }, {
            _class: 'io.jenkins.blueocean.service.embedded.rest.ActionProxiesImpl',
            _links: {
                self: {
                    _class: 'io.jenkins.blueocean.rest.hal.Link',
                    href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/graphViz/',
                },
            },
            _class: 'org.jenkinsci.plugins.workflow.job.views.GraphVizAction',
            urlName: 'graphViz',
        }],
        artifacts: [],
        changeSet: [{
            _class: 'io.jenkins.blueocean.service.embedded.rest.ChangeSetResource',
            _links: {
                self: {
                    _class: 'io.jenkins.blueocean.rest.hal.Link',
                    href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/changeset/41161a84e276e0348ee3169eed00a027b0d38527/',
                },
            },
            affectedPaths: ['test'],
            author: {
                _class: 'io.jenkins.blueocean.service.embedded.rest.UserImpl',
                _links: {
                    self: {
                        _class: 'io.jenkins.blueocean.rest.hal.Link',
                        href: '/blue/rest/users/thorsten/',
                    },
                },
                email: null,
                fullName: 'Thorsten Scherler',
                id: 'thorsten',
            },
            commitId: '41161a84e276e0348ee3169eed00a027b0d38527',
            msg: '[master] testing',
            timestamp: '2016-08-23T13:02:45.000+0200',
            url: 'https://github.com/scherler/testCommitBlueOcean/commit/41161a84e276e0348ee3169eed00a027b0d38527',
        }, {
            _class: 'io.jenkins.blueocean.service.embedded.rest.ChangeSetResource',
            _links: {
                self: {
                    _class: 'io.jenkins.blueocean.rest.hal.Link',
                    href: '/blue/rest/organizations/jenkins/pipelines/commits/runs/5/changeset/1d9cbb3efe30924abcbfc88292c906f5bab5f0ca/',
                },
            },
            affectedPaths: ['test'],
            author: {
                _class: 'io.jenkins.blueocean.service.embedded.rest.UserImpl',
                _links: {
                    self: {
                        _class: 'io.jenkins.blueocean.rest.hal.Link',
                        href: '/blue/rest/users/thorsten/',
                    },
                },
                email: null,
                fullName: 'Thorsten Scherler',
                id: 'thorsten',
            },
            commitId: '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
            msg: '[master] Remove test',
            timestamp: '2016-08-23T13:03:19.000+0200',
            url: 'https://github.com/scherler/testCommitBlueOcean/commit/1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
        }],
        durationInMillis: 1325,
        enQueueTime: '2016-08-23T13:03:26.147+0200',
        endTime: '2016-08-23T13:03:27.473+0200',
        estimatedDurationInMillis: 2315,
        id: '5',
        organization: 'jenkins',
        pipeline: 'commits',
        result: 'SUCCESS',
        runSummary: 'stable',
        startTime: '2016-08-23T13:03:26.148+0200',
        state: 'FINISHED',
        type: 'WorkflowRun',
        commitId: '1d9cbb3efe30924abcbfc88292c906f5bab5f0ca',
    },
    name: 'commits',
    organization: 'jenkins',
    permissions: { create: true, read: true, start: true, stop: true },
    weatherScore: 60,
};
const baseRun = new RunRecord(currentRunRaw);
const currentRun = baseRun.set('changeSet', changeSet.slice(0, 1));
const currentRunLong = baseRun.set('changeSet', changeSet.slice(0, 5));
const status = currentRun.getComputedResult() || '';
const t = (key) => key;
storiesOf('modal header', module)
    .add('some changes', () => (
        <ModalView
          isVisible
          transitionClass="expand-in"
          transitionDuration={150}
          result={status}
        >
            <ModalHeader>
                <div>
                    <RunDetailsHeader
                      locale="de"
                      t={t}
                      pipeline={pipeline}
                      data={currentRun}
                      onOrganizationClick={ action('button-click')}
                      onNameClick={ action('button-click')}
                      onAuthorsClick={ action('button-click')}
                    />
                </div>
            </ModalHeader>
        </ModalView>
    ))
    .add('lots of changes - verflow', () => (
        <ModalView
          isVisible
          transitionClass="expand-in"
          transitionDuration={150}
          result={status}
        >
            <ModalHeader>
                <div>
                    <RunDetailsHeader
                      t={t}
                      locale="de"
                      pipeline={pipeline}
                      data={currentRunLong}
                      onOrganizationClick={ action('button-click')}
                      onNameClick={ action('button-click')}
                      onAuthorsClick={ action('button-click')}
                    />
                </div>
            </ModalHeader>
        </ModalView>
    ))
;
